GET api/ProductCategories/GetProductCategoryTreeview/{companyId}/{selectedId}/{articlesOnly}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
companyId

integer

Required

selectedId

integer

Required

articlesOnly

boolean

Required

Body Parameters

None.

Response Information

Resource Description

ProductCategory
NameDescriptionTypeAdditional information
ProductCategoryId

integer

None.

ProductCategoryDescription

string

Required

String length: inclusive between 0 and 80

ProductCategoryDescriptionLanguage02

string

None.

ProductCategoryDescriptionLanguage03

string

None.

ProductCategoryDescriptionLanguage04

string

None.

ProductCategoryDescriptionLanguage05

string

None.

ProductCategoryDescriptionLanguage06

string

None.

Price

decimal number

None.

ProductCategoryLevel

integer

Required

Range: inclusive between 0 and 2

ProductCategoryParentId

integer

None.

IsInUse

boolean

Required

CompanyId

integer

None.

ObjectState

ObjectState

None.

Response Formats

application/json, text/json

Sample:
{
  "productCategoryId": 1,
  "productCategoryDescription": "sample string 2",
  "productCategoryDescriptionLanguage02": "sample string 3",
  "productCategoryDescriptionLanguage03": "sample string 4",
  "productCategoryDescriptionLanguage04": "sample string 5",
  "productCategoryDescriptionLanguage05": "sample string 6",
  "productCategoryDescriptionLanguage06": "sample string 7",
  "price": 8.0,
  "productCategoryLevel": 9,
  "productCategoryParentId": 1,
  "isInUse": true,
  "companyId": 11,
  "objectState": 0
}

application/xml, text/xml

Sample:
<ProductCategory xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Models">
  <ObjectState xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Repository">Unchanged</ObjectState>
  <CompanyId>11</CompanyId>
  <IsInUse>true</IsInUse>
  <Price>8</Price>
  <ProductCategoryDescription>sample string 2</ProductCategoryDescription>
  <ProductCategoryDescriptionLanguage02>sample string 3</ProductCategoryDescriptionLanguage02>
  <ProductCategoryDescriptionLanguage03>sample string 4</ProductCategoryDescriptionLanguage03>
  <ProductCategoryDescriptionLanguage04>sample string 5</ProductCategoryDescriptionLanguage04>
  <ProductCategoryDescriptionLanguage05>sample string 6</ProductCategoryDescriptionLanguage05>
  <ProductCategoryDescriptionLanguage06>sample string 7</ProductCategoryDescriptionLanguage06>
  <ProductCategoryId>1</ProductCategoryId>
  <ProductCategoryLevel>9</ProductCategoryLevel>
  <ProductCategoryParentId>1</ProductCategoryParentId>
</ProductCategory>